// $Id: Data.h 69 2006-02-11 00:44:22Z jari $

#ifndef _theplu_wenni_basefileconverter_data_ 
#define _theplu_wenni_basefileconverter_data_ 

// #include <basefile.h>

#include <string>
#include <vector>

namespace BASE {
	class BaseFileSection;
}

namespace theplu {
namespace wenni {

	class Data
	{
	public:
		Data(BASE::BaseFileSection&,const std::string&, const std::string&);

		void push_back(const std::vector<std::string>&);

		inline int total_nof_columns(void) { return total_nof_columns_; }

		void write_matrix(void);

	private:
		std::vector<std::vector<std::string> > data_;
		int column_number_;
		int column_offset_;
		int total_nof_columns_;
		int nof_assays_;
		int nof_fields_per_assay_;
		std::string column_name_;
		std::string output_file_;
	};

}} // of namespace wenni and namespace theplu

#endif
