// $Id: Clone.h 69 2006-02-11 00:44:22Z jari $

#ifndef _theplu_wenni_basefileconverter_clone_ 
#define _theplu_wenni_basefileconverter_clone_ 

// #include <basefile.h>

#include <string>
#include <vector>

namespace BASE {
	class BaseFileSection;
}

namespace theplu {
namespace wenni {

	class Clone
	{
	public:
		Clone(BASE::BaseFileSection&,const std::string&, const std::string&);

		inline void push_back(const std::vector<std::string>& vals)
		{ clone_.push_back(vals[column_number_]); }

		inline int total_nof_columns(void) { return total_nof_columns_; }

		void write(void);

		std::vector<std::string> clone_;
		int column_number_;
		int total_nof_columns_;
		std::string column_name_;
		std::string output_file_;
	};

}} // of namespace wenni and namespace theplu

#endif
